org.eclnt.jsfserver.defaultscreens

## Class DefaultScreens.SessionAccess

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.DefaultScreens.SessionAccess

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    DefaultScreens

      public static class DefaultScreens.SessionAccess
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionAccess(DefaultScreens owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dumpPopups()`
    `AsynchMessageBus` | `getAsynchMessageBus()`
    `java.lang.String` | `getCcaroundOutestPage()`
    `Client` | `getClient()`
    `Clipboard` | `getClipboard()`
    `GridDetails` | `getGridDetails()`
    `ImageSelection` | `getImageSelection()`
    `LogViewer` | `getLogViewer()`
    `java.util.Map<java.lang.String,ModalPopup>` | `getModalPopups()`
    `java.util.Map<java.lang.String,ModelessPopup>` | `getModelessPopups()`
    `ObserverPopup` | `getObserverPopup()`
    `OKPopup` | `getOkPopup()`
    `OnlineHelp` | `getOnlineHelp()`
    `DefaultScreens` | `getOwner()`
    `IdAttributesSelection` | `getPopupIdAttributesSelection()`
    `IdTextSelection` | `getPopupIdTextSelection()`
    `ProfilingViewer` | `getProfilingViewer()`
    `ShowServerError` | `getShowServerError()`
    `Statusbar` | `getStatusbar()`
    `Wizard` | `getWizard()`
    `YESNOPopup` | `getYesNoPopup()`
    `void` | `hideAllPopups(boolean hidePopups)`
    `void` | `indicateChangeInPopups()`
    `void` | `registerPopup(BasePopup popup)`
    `void` | `setPopupIdAttributesSelection(IdAttributesSelection idAttributesSelection)`
    `void` | `setPopupIdTextSelection(IdTextSelection idTextSelection)`
    `void` | `setPopupNode(DUMMYComponent node)`
    `void` | `unregisterPopup(BasePopup popup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionAccess

          public SessionAccess(DefaultScreens owner)

  - ### Method Detail

    - #### getOwner

          public DefaultScreens getOwner()

    - #### getCcaroundOutestPage

          public java.lang.String getCcaroundOutestPage()

    - #### getObserverPopup

          public ObserverPopup getObserverPopup()

    - #### getAsynchMessageBus

          public AsynchMessageBus getAsynchMessageBus()

    - #### getPopupIdAttributesSelection

          public IdAttributesSelection getPopupIdAttributesSelection()

    - #### setPopupIdAttributesSelection

          public void setPopupIdAttributesSelection(IdAttributesSelection idAttributesSelection)

    - #### getPopupIdTextSelection

          public IdTextSelection getPopupIdTextSelection()

    - #### setPopupIdTextSelection

          public void setPopupIdTextSelection(IdTextSelection idTextSelection)

    - #### getStatusbar

          public Statusbar getStatusbar()

    - #### getOnlineHelp

          public OnlineHelp getOnlineHelp()

    - #### getModalPopups

          public java.util.Map<java.lang.String,ModalPopup> getModalPopups()

    - #### getModelessPopups

          public java.util.Map<java.lang.String,ModelessPopup> getModelessPopups()

    - #### getOkPopup

          public OKPopup getOkPopup()

    - #### getYesNoPopup

          public YESNOPopup getYesNoPopup()

    - #### getWizard

          public Wizard getWizard()

    - #### getShowServerError

          public ShowServerError getShowServerError()

    - #### getImageSelection

          public ImageSelection getImageSelection()

    - #### getGridDetails

          public GridDetails getGridDetails()

    - #### getClipboard

          public Clipboard getClipboard()

    - #### getClient

          public Client getClient()

    - #### getLogViewer

          public LogViewer getLogViewer()

    - #### getProfilingViewer

          public ProfilingViewer getProfilingViewer()

    - #### registerPopup

          public void registerPopup(BasePopup popup)

    - #### unregisterPopup

          public void unregisterPopup(BasePopup popup)

    - #### setPopupNode

          public void setPopupNode(DUMMYComponent node)

    - #### indicateChangeInPopups

          public void indicateChangeInPopups()

    - #### hideAllPopups

          public void hideAllPopups(boolean hidePopups)

    - #### dumpPopups

          public void dumpPopups()

Copyright © CaptainCasa Gmbh. All Rights Reserved.